<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
HasSysRight Method (IEdmUserGroup5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserGroup5 Interface : HasSysRight Method (IEdmUserGroup5)

Visual Basic
C#
C++/CLI

eRight
  Combination of EdmSysRightFlags

Obsolete. Superseded by IEdmUserGroup6::HasSysRightEx .

# Syntax

Visual Basic |
--- | ---

    Function HasSysRight( _
       ByVal eRight As EdmSysRightFlags _
    ) As System.Boolean

C# |
--- | ---

    System.bool HasSysRight(
       EdmSysRightFlags eRight
    )

C++/CLI |
--- | ---

    System.bool HasSysRight(
    &   EdmSysRightFlags eRight
    )

#### Parameters

eRight
  Combination of EdmSysRightFlags

#### Return Value

True if the user group has all the permissions, false if not

# Remarks

This method is superseded by IEdmUserGroup6::HasSysRightEx.

Before SOLIDWORKS PDM Professional 2010, IEdmUserGroup5::HasSysRight supported the bit-wise combination of system permissions. Because the number of system permissions has grown, and they do not all fit in a 32-bit integer, system permissions added in SOLIDWORKS PDM Professional 2010 and later are sequential numeric constants instead of bit flags. You must use IEdmUserGroup6::HasSysRightEx to check permissions added in SOLIDWORKS PDM Professional 2010 and later.

To check individual user permissions, call IEdmUser5::HasSysRight, which checks both permissions set directly on the user and permissions inherited from groups of which he is a member.

Return codes:

- S_OK: The method successfully executed, and all of the permissions are set.
- S_FALSE: The method successfully executed, but one or more of the permissions are not set.

# See Also

####

IEdmUserGroup5 Interface
IEdmUserGroup5 Members

# Availability

SOLIDWORKS PDM Professional version 5.2